package com.kingdee.eas.custom.integration.feishu;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFeishuApprovalInstanceCcListInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractFeishuApprovalInstanceCcListInfo()
    {
        this("id");
    }
    protected AbstractFeishuApprovalInstanceCcListInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 抄送列表 's null property 
     */
    public FeishuApprovalInstanceInfo getParent()
    {
        return (FeishuApprovalInstanceInfo)get("parent");
    }
    public void setParent(FeishuApprovalInstanceInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 抄送列表 's 抄送人 property 
     */
    public com.kingdee.eas.base.permission.UserInfo getUser()
    {
        return (com.kingdee.eas.base.permission.UserInfo)get("user");
    }
    public void setUser(com.kingdee.eas.base.permission.UserInfo item)
    {
        put("user", item);
    }
    /**
     * Object:抄送列表's PC 端的三方审批实例跳转链接property 
     */
    public String getPcLink()
    {
        return getString("pcLink");
    }
    public void setPcLink(String item)
    {
        setString("pcLink", item);
    }
    /**
     * Object:抄送列表's 移动端的三方审批实例跳转链接property 
     */
    public String getMobileLink()
    {
        return getString("mobileLink");
    }
    public void setMobileLink(String item)
    {
        setString("mobileLink", item);
    }
    /**
     * Object:抄送列表's 抄送人的阅读状态property 
     */
    public com.kingdee.eas.custom.integration.feishu.bizEnum.ReadStatusEnum getReadStatus()
    {
        return com.kingdee.eas.custom.integration.feishu.bizEnum.ReadStatusEnum.getEnum(getString("readStatus"));
    }
    public void setReadStatus(com.kingdee.eas.custom.integration.feishu.bizEnum.ReadStatusEnum item)
    {
		if (item != null) {
        setString("readStatus", item.getValue());
		}
    }
    /**
     * Object:抄送列表's 扩展字段property 
     */
    public String getExtra()
    {
        return getString("extra");
    }
    public void setExtra(String item)
    {
        setString("extra", item);
    }
    /**
     * Object:抄送列表's 抄送任务名称property 
     */
    public String getTitle()
    {
        return getString("title");
    }
    public void setTitle(String item)
    {
        setString("title", item);
    }
    /**
     * Object:抄送列表's 抄送发起时间property 
     */
    public java.sql.Time getCreateTime()
    {
        return getTime("createTime");
    }
    public void setCreateTime(java.sql.Time item)
    {
        setTime("createTime", item);
    }
    /**
     * Object:抄送列表's 抄送最近更新时间property 
     */
    public java.sql.Time getUpdateTime()
    {
        return getTime("updateTime");
    }
    public void setUpdateTime(java.sql.Time item)
    {
        setTime("updateTime", item);
    }
    /**
     * Object:抄送列表's 列表页打开审批任务的方式property 
     */
    public com.kingdee.eas.custom.integration.feishu.bizEnum.DisplayMethodEnum getDisplayMethod()
    {
        return com.kingdee.eas.custom.integration.feishu.bizEnum.DisplayMethodEnum.getEnum(getString("displayMethod"));
    }
    public void setDisplayMethod(com.kingdee.eas.custom.integration.feishu.bizEnum.DisplayMethodEnum item)
    {
		if (item != null) {
        setString("displayMethod", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("1ED0B57F");
    }
}